ApiCredential requirements
Analyze server requirements
Analyze an existing server's configuration to discover credential requirements using AI. Returns SSE stream with progress events.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
server_id*string
Format
uuidCookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/analyze-requirements"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Analyze credential requirements
Analyze a new input (npm package, PyPI package, URL, Docker image) to discover credential requirements using AI. Returns SSE stream with progress events.
Connect to server
Submit user credentials to connect to a server. Stores credentials encrypted and associated with the user's account.
